# Copyright (c) 2015 Ultimaker B.V.
# Uranium is released under the terms of the AGPLv3 or higher.

from . import LocalFileStorageDevice

from UM.i18n import i18nCatalog
i18n_catalog = i18nCatalog("uranium")

def getMetaData():
    return {
        "type": "storage_device",
        "plugin": {
            "name": i18n_catalog.i18nc("Local File Storage plugin name", "Local File Storage"),
            "author": "Ultimaker",
            "version": "1.0",
            "description": i18n_catalog.i18nc("Local File Storage plugin description", "Provides access to local files.")
        }
    }

def register(app):
    return { "storage_device": LocalFileStorageDevice.LocalFileStorageDevice() }

